.image_banner .counter {
    text-align: center;
    font-size: 24px;
    background-color: var(--card-bg);
    border-radius: 10px;
    width: 240px;
    padding: 12px;
    margin: 20px auto 0 auto;
    border: 5px #3c6399 solid;

}
.image_banner .centered-container {
    margin: 50px auto;
    height: 700px;
    width: 800px;
    display: flex;
    justify-content: center;
    align-items: center;

}

.image_banner .road {
    border-radius: 10px;
    background-image: url('../../img/road-frame1.png');
    background-size: auto 100%;
    background-position: 1000% 0;
    transition: background-position .2s;
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}



.image_banner img.car {
    position: absolute;
    width: 200px;
}

.image_banner img.random-cars {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.image_banner .random-car {
    position: absolute;
    width: 200px;

}
.image_banner .finish_line{
    background-image: url('../../img/finish.png');
    background-size: 100%;
    /* background-position: 1000% 0; */
    transition: background-position .2s;
    position: relative;
    width: 94px;
    height: 100%;
    overflow: hidden;
    /*left: 50px;*/
    display: none;
}



/* Стили для модального окна */
.image_banner .modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.7);
}

.image_banner .modal-content {
    background-color: coral;
    border-radius: 10px;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 60%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    text-align: center;
    position: relative;
}

.image_banner .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

.image_banner .close:hover {
    color: black;
}

.image_banner h2 {
    color: #333;
}

.image_banner p {
    color: #555;
}

.image_banner .game.close{
    display: none;
}

.image_banner .img.close{
    display: none;
}

@media (max-width: 800px) {

    .image_banner .centered-container {
        margin: 100px auto;
        height: 525px;
        width: 600px;
        display: flex;
        justify-content: center;
        align-items: center;

    }

    .image_banner img.car,
    .image_banner img.random-car {
        width: 150px;
    }
}

@media (max-width: 600px) {

    .image_banner .centered-container {
        margin: 100px auto;
        height: 350px;
        width: 400px;
        display: flex;
        justify-content: center;
        align-items: center;

    }
    .image_banner img.car,
    .image_banner img.random-car {
        width: 100px;
    }
}

@media (max-width: 400px) {

    .image_banner .centered-container {
        margin: 100px auto;
        height: 280px;
        width: 320px;
        display: flex;
        justify-content: center;
        align-items: center;

    }

    .image_banner img.car,
    .image_banner img.random-car {
        width: 80px;
    }
}

